Package org.bukkit.block.data.type

# Interface BigDripleaf

All Superinterfaces:
  `BlockData`, `Cloneable`, `Directional`, `Dripleaf`, `Waterlogged`

public interface BigDripleaf extends Dripleaf
'tilt' indicates how far the leaf is tilted.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`BigDripleaf.Tilt`
The tilt of a leaf.

## Method Summary

Modifier and Type
Method
Description
`@NotNull BigDripleaf.Tilt`
`getTilt()`
Gets the value of the 'tilt' property.
`void`
`setTilt(@NotNull BigDripleaf.Tilt tilt)`
Sets the value of the 'tilt' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, isFaceSturdy, isPreferredTool, isRandomlyTicked, isSupported, isSupported, matches, merge`

### Methods inherited from interface org.bukkit.block.data.Directional

`getFaces, getFacing, setFacing`

### Methods inherited from interface org.bukkit.block.data.Waterlogged

`isWaterlogged, setWaterlogged`

## Method Details

### getTilt

@NotNull @NotNull BigDripleaf.Tilt getTilt()
Gets the value of the 'tilt' property.

Returns:
  the 'tilt' value

### setTilt

void setTilt(@NotNull @NotNull BigDripleaf.Tilt tilt)
Sets the value of the 'tilt' property.

Parameters:
  `tilt` - the new 'tilt' value